Bug 214600 - Corruption in /etc/hosts causes aisexec to crash
Summary: Corruption in /etc/hosts causes aisexec to crash
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Christine Caulfield
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-08 16:34 UTC by Len DiMaggio
Modified: 2009-04-16 22:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-07 15:00:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
aisexec core file (1.44 MB, application/octet-stream)
2006-11-08 17:32 UTC, Len DiMaggio
no flags Details

Description Len DiMaggio 2006-11-08 16:34:23 UTC
Description of problem:

The /etc/hosts syntax failure reported in this bz:
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=210050) resulted in the
Conga test failure reported in this bz:
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=213946)

Part of that Conga test failure involved aisexec (openais-0.80.1-11.el5)
crashing - that crashing in response to an invalid /etc/hosts file is the
subject of this bz. 

Version-Release number of selected component (if applicable):
openais-0.80.1-11.el5

How reproducible:
100%

Steps to Reproduce:
1. Recreate the syntax error in /etc/hosts described in:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=210050

2. Attempt to create a new cluster via Conga as described in:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=213946

Actual results:
aisexec crashes

Expected results:
Some error message - not a crash.

Additional info:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=210050
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=213946

Comment 1 Steven Dake 2006-11-08 17:03:26 UTC
cman issue reassigning to Patrick for investigation.

Comment 2 Steven Dake 2006-11-08 17:05:18 UTC
was there a core file in /usr/sbin?

Comment 3 Len DiMaggio 2006-11-08 17:32:15 UTC
Created attachment 140672 [details]
aisexec core file

Comment 4 Len DiMaggio 2006-11-08 18:03:53 UTC
There's a related problem - I'll open up a separate bz - when aisexec tried to
write a core file with SELinux=Enforcing, it failed. 

type=AVC msg=audit(1162589191.313:70): avc:  denied  { add_name } for  pid=2071
comm="aisexec" name="core.2071" scontext=system_u:system_r:ricci_modcluster_t:s0
tcontext=system_u:object_r:sbin_t:s0 tclass=dir



Comment 5 Christine Caulfield 2006-11-09 09:38:30 UTC
I'm not sure how to read this.

If the host name resolves to a loopback address then cman will not start because
it won't be able to talk to the cluster! OK it shouldn't dump core but I can't
make it do that either.

I can't reproduce the crash with any interpretation of the /etc/hosts files I
can think of from those bug reports. Can you post an offending file and
cluster.conf please?

The core file doesn't say much other that it shut down :(

Comment 6 Len DiMaggio 2006-11-09 18:02:04 UTC
I'll recreate the problem ASAP - I'm dealing with some networking issues and
cannot access any of the test systems right now - I'll update the bz when I have
a machine to show you the problem.

Comment 7 Len DiMaggio 2006-11-10 21:24:00 UTC
I have the problem reproduced NOW - ping me for the machine name and password.

Comment 9 Kiersten (Kerri) Anderson 2007-04-23 17:48:26 UTC
Fixing Product Name.  Cluster Suite components were integrated into Enterprise
Linux version 5.0.


Note You need to log in before you can comment on or make changes to this bug.